Page MenuHomePhabricator

Do not directly access $_SESSION superglobal in DonationInterface
Closed, ResolvedPublic2 Estimated Story Points

Description

Make an accessor class and plug it in. Suddenly, this is urgent. Core change a73c5b7395a07d490f7052fd3b2491ebd656b190 adds a SessionManager class and now none of our tests pass. We need to patch DI similar to how CentralAuth was patched in 0f38ef2177433db7a27e38516c9588eebee07da3, so it works with or without SessionManager.

Event Timeline

cwdent raised the priority of this task from to Needs Triage.
cwdent updated the task description. (Show Details)
cwdent added a subscriber: cwdent.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 6 2016, 10:41 PM
Ejegg updated the task description. (Show Details)Jan 13 2016, 7:41 PM
Ejegg set Security to None.
Ejegg edited a custom field.

Change 264017 had a related patch set uploaded (by Ejegg):
Use SessionManager instead of deprecated fn

https://gerrit.wikimedia.org/r/264017

Ejegg claimed this task.Jan 19 2016, 9:29 PM
Ejegg moved this task from Backlog to Review on the Fundraising Sprint Asbestos Removal 2016 board.

Change 265367 had a related patch set uploaded (by Ejegg):
Update session handling for 1.27

https://gerrit.wikimedia.org/r/265367

Change 265381 had a related patch set uploaded (by Ejegg):
$_SESSION cleanup: Amazon adapter

https://gerrit.wikimedia.org/r/265381

Change 265384 had a related patch set uploaded (by Ejegg):
$_SESSION cleanup: session_velocity filter

https://gerrit.wikimedia.org/r/265384

Change 265385 had a related patch set uploaded (by Ejegg):
$_SESSION cleanup: GatewayPage

https://gerrit.wikimedia.org/r/265385

Change 265389 had a related patch set uploaded (by Ejegg):
$_SESSION cleanup: Worldpay adapter

https://gerrit.wikimedia.org/r/265389

Change 265390 had a related patch set uploaded (by Ejegg):
$_SESSION cleanup: instance methods, edit tokens

https://gerrit.wikimedia.org/r/265390

Change 265392 had a related patch set uploaded (by Ejegg):
$_SESSION cleanup: GlobalCollect

https://gerrit.wikimedia.org/r/265392

Change 265396 had a related patch set uploaded (by Ejegg):
$_SESSION cleanup: miscellaneous tests

https://gerrit.wikimedia.org/r/265396

Change 265367 merged by jenkins-bot:
Update session handling for 1.27

https://gerrit.wikimedia.org/r/265367

Change 264017 abandoned by Ejegg:
WIP update session handling for 1.27

Reason:
Split into smaller commits

https://gerrit.wikimedia.org/r/264017

Change 265381 merged by jenkins-bot:
$_SESSION cleanup: Amazon adapter

https://gerrit.wikimedia.org/r/265381

Change 265384 merged by jenkins-bot:
$_SESSION cleanup: session_velocity filter

https://gerrit.wikimedia.org/r/265384

Change 265385 merged by jenkins-bot:
$_SESSION cleanup: GatewayPage

https://gerrit.wikimedia.org/r/265385

Change 265389 merged by jenkins-bot:
$_SESSION cleanup: Worldpay adapter

https://gerrit.wikimedia.org/r/265389

Change 265390 merged by jenkins-bot:
$_SESSION cleanup: instance methods, edit tokens

https://gerrit.wikimedia.org/r/265390

Change 265392 merged by jenkins-bot:
$_SESSION cleanup: GlobalCollect

https://gerrit.wikimedia.org/r/265392

Change 265396 merged by jenkins-bot:
$_SESSION cleanup: miscellaneous tests

https://gerrit.wikimedia.org/r/265396

Ejegg closed this task as Resolved.Feb 3 2016, 10:47 PM